{
  "custom": {},
  "params": {
    "Categories": [],
    "SelectedRow": null
  },
  "propConfig": {
    "params.Categories": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.SelectedRow": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 390
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onRowClick": {
              "config": {
                "script": "\tparams \u003d {\u0027UserClickData\u0027: self.props.selection.data[0].Category}\n\tsystem.perspective.sendMessage(\"UserClickCategory\", payload \u003d params, scope \u003d \"page\")\n\tsystem.perspective.print(params)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Table"
        },
        "position": {
          "basis": "400px"
        },
        "propConfig": {
          "props.data": {
            "binding": {
              "config": {
                "bidirectional": true,
                "path": "view.params.Categories"
              },
              "type": "property"
            }
          },
          "props.selection.data[0].Category": {
            "binding": {
              "config": {
                "bidirectional": true,
                "path": "view.params.SelectedRow"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "enableHeader": false,
          "filter": {
            "enabled": true
          }
        },
        "type": "ia.display.table"
      }
    ],
    "meta": {
      "contextMenu": {
        "items": [
          {
            "children": [],
            "icon": {
              "color": "",
              "path": "",
              "style": {}
            },
            "link": {
              "target": "self",
              "url": ""
            },
            "message": {
              "payload": {},
              "scope": "page",
              "type": ""
            },
            "method": {
              "name": "",
              "params": {}
            },
            "style": {
              "classes": ""
            },
            "text": "menu-item",
            "type": "link"
          }
        ]
      },
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}